/*
 * Copyright 2009 SpringSource
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.bundlor.maven.plugin.internal.support;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import com.springsource.bundlor.support.properties.EmptyPropertiesSource;
import com.springsource.bundlor.support.properties.FileSystemPropertiesSource;
import com.springsource.bundlor.support.properties.PropertiesSource;
import com.springsource.bundlor.support.properties.StringPropertiesSource;

public class StandardOsgiProfileFactoryTests {

    private final StandardOsgiProfileFactory factory = new StandardOsgiProfileFactory();

    @Test
    public void profileString() {
        PropertiesSource propertiesSource = this.factory.create(null, "test.property=test.value");
        assertTrue(propertiesSource instanceof StringPropertiesSource);
    }

    @Test
    public void profilePath() {
        PropertiesSource propertiesSource = this.factory.create("src/test/resources/test.properties", null);
        assertTrue(propertiesSource instanceof FileSystemPropertiesSource);
    }

    @Test
    public void profileNull() {
        PropertiesSource propertiesSource = this.factory.create(null, null);
        assertTrue(propertiesSource instanceof EmptyPropertiesSource);
    }
}
